/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: ParseLibMain.h
*    Creation Date: 18 May 2001 (v0.00)
*    VSS Info:
*        $Revision: 1.1 $
*        $Date: 2002/08/21 17:55:13 $
*
****************************************************************************
*    Description:
*
*       run time initialization for printf
*
****************************************************************************/

#ifndef PARSELIBMAIN_H
#define PARSELIBMAIN_H

extern int gprintFlag;

/*
*****************************************************************************
** FUNCTION:    krbParseLibInit
**
** PURPOSE:     activate or de-activate printf
**
** PARAMETERS:  prtFlag - in: printf is disabled if 0
**
** RETURNS:     none
**
*****************************************************************************
*/

void krbParseLibInit(int prtFlag);


/*
*****************************************************************************
** FUNCTION:    Init_prng
**
** PURPOSE:     used in krbParseLibInit
**
** PARAMETERS:  none
**
** RETURNS:     none
**
*****************************************************************************
*/

void Init_prng();

#endif