#ifndef SECUTILS_H
#define SECUTILS_H

#include <ChKerbNamespace.h>
 
#ifdef __cplusplus
extern "C"
{
#endif

    void 
    ch_secWriteNVRAMSkew(int skew_value,int flag, char *realm, unsigned long realm_length);

    int 
    ch_secReadNVRAMSkew(int flag, char *realm, unsigned long realm_length);

    void 
    ch_secWriteNVRAMTkt(unsigned char *tkt, int tkt_len, int flag,
                        char *fqdn, unsigned long fqdn_length);
    unsigned long 
    ch_secReadNVRAMTkt(unsigned char *tkt, unsigned long tkt_len, 
                       int flag, char *fqdn, unsigned long fqdn_length);
    void 
    secWriteNVRAMSessionKeyAndTktTimes(unsigned char *session_key, unsigned long session_key_len,
                                       int session_key_type,int flag, char *fqdn,
                                       unsigned long fqdn_length, int auth_time,
                                       int start_time,int end_time, int renew_till);
    unsigned long
    ch_secReadNVRAMSessionKeyAndTktTimes(unsigned char *session_key, int *session_key_type,
                                         int flag, char *fqdn, unsigned long fqdn_length,
                                         int *auth_time, int *start_time, 
                                         int *end_time, int *renew_till);
     
    unsigned long
    ch_secReadNVRAMMTACertKeyData(SEC_CERT_TYPE type, unsigned int *len, unsigned char *data);
    
    unsigned long 
    ch_secWriteNVRAMMTACertKeyData(SEC_CERT_TYPE type, int len, const unsigned char *data);


#ifdef __cplusplus
}
#endif

#endif

